package org.jboss.security.plugins;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.security.Principal;
import java.security.PrivilegedAction;
import java.util.Iterator;
import javax.security.auth.Subject;
import org.jboss.security.plugins.SubjectActions;

class ToStringSubjectAction implements PrivilegedAction {
  Subject subject;
  
  ToStringSubjectAction(Subject subject) {
    this.subject = subject;
  }
  
  public Object run() {
    StringBuffer tmp = new StringBuffer();
    tmp.append("Subject(");
    tmp.append(System.identityHashCode(this.subject));
    tmp.append(").principals=");
    Iterator principals = this.subject.getPrincipals().iterator();
    while (principals.hasNext()) {
      Object p = principals.next();
      Class c = p.getClass();
      tmp.append(c.getName());
      tmp.append('@');
      tmp.append(System.identityHashCode(c));
      tmp.append('(');
      tmp.append(p);
      tmp.append(')');
    } 
    return tmp.toString();
  }
}
